## skytools 2.1.8

=== Makefile ===
--- 
+++ 
@@ -38,12 +38,15 @@
 
 python-install: config.mak modules-all
 	$(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR)/
-	make -C doc DESTDIR=$(DESTDIR) install
+	$(MAKE) -C doc DESTDIR=$(DESTDIR) install
 
 python-install python-all: python/skytools/installer_config.py
 python/skytools/installer_config.py: python/skytools/installer_config.py.in config.mak
 	sed -e 's!@SQLDIR@!$(SQLDIR)!g' $< > $@
 
+realclean:
+	$(MAKE) -C doc $@
+	$(MAKE) distclean
 
 distclean: clean
 	for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@ || exit 1; done
@@ -78,7 +81,7 @@
 	debuild -uc -us -b
 
 tgz: config.mak clean
-	make -C doc man
+	$(MAKE) -C doc man
 	$(PYTHON) setup.py sdist -t source.cfg -m source.list
 
 debclean: distclean
