=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 web = mkz@shell.pgfoundry.org:/home/pgfoundry.org/groups/skytools/htdocs/
 
-EPYDOC = epydoc-py25
+EPYDOC = epydoc
 EPYARGS = --no-private --url="http://pgfoundry.org/projects/skytools/" \
 	--name="Skytools" --html --no-private -v
 
@@ -77,7 +77,8 @@
 realclean: distclean
 	rm -f *.[15] *.xml
 
-ifneq ($(XMLTO),)
+ifneq ($(ASCIIDOC),no)
+ifneq ($(XMLTO),no)
 londiste.1: londiste.cmdline.xml
 	$(XMLTO) man $<
 
@@ -91,7 +92,6 @@
 	$(XMLTO) man $<
 endif
 
-ifneq ($(ASCIIDOC),)
 %.xml: %.txt $(COMMON)
 	$(ASCIIDOC) -b docbook -d manpage `$(GETATTRS) $<` -o - $< \
 	| python fixman.py > $@
