## skytools 2.1.8-2.2~bpo50+2

=== debian/changelog ===
skytools (2.1.8-2.2~bpo50+2) lenny-backports; urgency=low

  * Reupload with new key.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Apr 2011 11:50:54 +0200

skytools (2.1.8-2.2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Mar 2011 14:32:40 +0100

skytools (2.1.8-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/{control, rules}
    - use pysupport to manage the Python module, so also compiling it; thanks to
      Luca Falavigna for the report; Closes: #566047
  * debian/{control, rules, *.links, *.install}
    - support only PostgreSQL 8.4; thanks to Martin Pitt for the report;
      Closes: #559606
  * debian/rules
    - added simple-patchsys.mk rule
    - added python-distutils.mk class
  * debian/patches/missing_includes.diff
    - added missing includes, fixing the FTBFS with PostgreSQL 8.4
  * skytools.install
    - don't hardcode 'python2.5' and 'site-package', use globbing instead
  * patches/rename_as_for_python2.6.diff
    - added to replace 'as', since it's a reserved word in Python 2.6; thanks to
      Fabrice Coutadeur for the report; Closes: #535144
  * debian/skytools-modules-8.4.install
    - added installation of files from 'debian/tmp/usr/share/skytools' needed
      for the module to look for SQL files; thanks to Marc Cousin for the
      report and Chris Lamb for the patch; Closes: #534310
  * debian/control
    - replaced explicit Depends on 'python' with substvar ${python:Depends}
    - build-depends on python-all-dev, to be built against all support Python

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Feb 2010 10:46:11 +0100

skytools (2.1.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Specify PG_CONFIG directly so that paths relating to Postgres 8.4 are not
    returned, preventing a FTBFS. (Closes: #536906)

 -- Chris Lamb <lamby@debian.org>  Tue, 11 Aug 2009 08:20:10 +0100

skytools (2.1.8-2) unstable; urgency=low

  * Dependency changes psycopg to psycopg2, because psycopg isn't support 
    upstream. (Closes: #518223)
  * Added README.source

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Wed, 04 Mar 2009 18:39:29 -0300

skytools (2.1.8-1) unstable; urgency=low

  * New upstream release. 

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Fri, 09 Jan 2009 15:17:14 -0200

skytools (2.1.7-1) unstable; urgency=low

  * New upstream release
  * Fixed itens relationship bug #479685: (Closes: #479685)
    + Added manpage of bulk_loader, cube_dispatcher, londsite, pgqadm,
      queue_mover, queue_splitter, scriptmgr, skytools_upgrade, table_dispacher
      and walmgr.
    + Added NEWS and README.
    + Better written field short description to skytools-modules and 
      skytools in the control file.
    + Better written field long description to skytools-modules and skytools.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Sat, 07 Jun 2008 20:39:15 -0300

skytools (2.1.6-1) unstable; urgency=low

  * Initial release. (Closes: #427871)

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Fri, 27 Jul 2007 04:00:06 -0300
