=== debian/control ===
Source: skytools
Maintainer: Fernando Ike de Oliveira <fike@midstorm.org>
Uploaders: Christoph Berg <myon@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.8.0
Build-Depends: python-all-dev, postgresql-server-dev-8.4, cdbs (>= 0.4.38), 
 debhelper (>= 7), xmlto, asciidoc, python-support
Homepage: http://pgfoundry.org/projects/skytools/
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/skytools/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/skytools/

Package: skytools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-psycopg2, 
 skytools-modules-8.4
Description: Database management tools from Skype to PostgreSQL 
 Skytools are database management tools to WAL shipping, queueing and 
 replication. This package has Python parts of skytools:
 .
  - londiste - PostgreSQL replication engine written in Python
  - pgqadm - PgQ tickter and administration interface
  - walmgr - Tools for managing WAL-based replication for PostgreSQL.

Package: skytools-modules-8.4
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, postgresql-8.4
Description: PostgreSQL modules of skytools
 Skytools are database management tools to WAL shipping, queuing and 
 replication. This package has PostgreSQL modules skytools:
 .
  - txid: Provides 8-byte transaction id-s for external usage
  - logtriga: Trigger function for table event logging in "partial SQL" 
    format, used in londsite for replication
  - logutriga - Trigger function for table event logging in 
    urlencoded format
  - pgq: Python framework for PgQ consumers
