=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_PYTHON_SYSTEM := pysupport
include /usr/share/cdbs/1/class/python-distutils.mk


DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr PG_CONFIG=/usr/lib/postgresql/8.4/bin/pg_config
DEB_INSTALL_DOCS_ALL := doc/TODO.txt NEWS README
DEB_INSTALL_MANPAGES_skytools := doc/*.1 doc/*.5

DEB_DH_SHLIBDEPS_ARGS_ALL=--dpkg-shlibdeps-params=--ignore-missing-info

install/skytools::
	for I in debian/tmp/usr/bin/*; \
		do \
			mv $$I $${I%.py} ; \
	done
