=== sql/pgq/Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 #
 
 test: pgq.sql
-	$(MAKE) installcheck || { less regression.diffs; exit 1; }
+	$(MAKE) install installcheck || { less regression.diffs; exit 1; }
 
 ack:
 	cp results/*.out expected/
