=== debian/changelog ===
skytools (2.1.12-4ubuntu1) precise; urgency=low

  * debian/skytools-modules-9.1.install: when building pg 9.1 modules, README
    files now end up in /usr/share/doc/postgresql-doc-9.1, so look there for
    the READMEs to install.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 14 Nov 2011 16:36:33 -0500

skytools (2.1.12-4) unstable; urgency=low

  * Support building for all available PostgreSQL versions. Thanks to
    Dimitri Fontaine for the patch!

 -- Christoph Berg <myon@debian.org>  Thu, 08 Sep 2011 11:15:25 +0200

skytools (2.1.12-3) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Aug 2011 11:13:04 +0200

skytools (2.1.12-2) unstable; urgency=low

  * Section: database.
  * Make londiste scriptmgr queue_mover queue_splitter walmgr "alternatives"
    to cooperate with the skytools3 package.
  * Conflicts/Replaces: postgresql-PGVERSION-pgq3, also for skytools3.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 10:07:59 +0200

skytools (2.1.12-1) unstable; urgency=low

  * New maintainer.
  * Include NMU changes by Sandro Tosi, thanks!
  * New upstream version. Closes: #604711
  * Convert to dh 7 and 3.0 (quilt).
  * Support building for multiple postgresql versions in parallel, add 9.0
    package.
  * Improve descriptions a bit. Closes: #569991

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2011 16:21:31 +0200

skytools (2.1.10-1) unstable; urgency=low

  * New update release.
  * Change dependency build to PostgreSQL 8.4. (Closes: #559606) 

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 15 Dec 2009 18:41:17 -0200
