=== debian/rules ===
#!/usr/bin/make -f

PG_CONFIG_91=/usr/lib/postgresql/9.1/bin/pg_config

# Rebuild debian/control
SRCDIR = .
include /usr/share/postgresql-common/pgxs_debian_control.mk
# force rebuilding
.PHONY: debian/control

clean: debian/control

override_dh_auto_clean:
	# eeks, clean needs a working config.mak file
	[ -s config.mak ] || ./configure --prefix=/usr PG_CONFIG=/usr/lib/postgresql/9.1/bin/pg_config
	dh_auto_clean

build:
	dh_prep
	#./configure --prefix=/usr PG_CONFIG=/usr/lib/postgresql/8.4/bin/pg_config
	#$(MAKE) modules-all
	#$(MAKE) modules-install DESTDIR=$(CURDIR)/debian/tmp BROKEN_PYTHON=--install-layout=deb
	#$(MAKE) clean
	./configure --prefix=/usr PG_CONFIG=$(PG_CONFIG_91)
	$(MAKE)
	# for version in $$(pg_buildext supported-versions .) ; do \
	# 	echo "### Building for PostgreSQL $$version"; \
	# 	$(MAKE) install; \
	# done

override_dh_prep:

override_dh_auto_install:
	BROKEN_PYTHON=--install-layout=deb dh_auto_install -- PG_CONFIG=$(PG_CONFIG_91)
	for version in $$(pg_buildext supported-versions .) ; do \
		echo "### Building for PostgreSQL $$version" && \
		./configure --prefix=/usr \
			PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config && \
		for d in sql/pgq sql/pgq_ext sql/txid sql/londiste sql/logtriga ; do \
			$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C $$d clean install || exit 1 ;\
		done; \
	done
	for I in debian/tmp/usr/bin/* ; do \
		mv $$I $${I%.py} || exit 1 ; \
	done
	# interaction with skytools3
	for I in londiste scriptmgr queue_mover queue_splitter walmgr ; do \
		mv debian/tmp/usr/bin/$$I debian/tmp/usr/bin/$${I}2 || exit 1 ; \
		mv debian/tmp/usr/share/man/man1/$$I.1 debian/tmp/usr/share/man/man1/$${I}2.1 || exit 1 ; \
	done

%:
	dh $@ --with python2
