## skytools 2.1.13

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,12 @@
 	yada rebuild
 	debuild -uc -us -b
 
+deb91:
+	./configure --with-pgconfig=/usr/lib/postgresql/9.1/bin/pg_config --with-python=$(PYTHON)
+	sed -e s/PGVER/9.1/g -e s/PYVER/$(pyver)/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+
 tgz: config.mak clean
 	$(MAKE) -C doc man
 	$(PYTHON) setup.py sdist -t source.cfg -m source.list
