=== doc/Makefile ===
--- 
+++ 
@@ -90,14 +90,14 @@
 
 walmgr.1: walmgr.xml
 	$(XMLTO) man $<
-endif
 
 %.xml: %.txt $(COMMON)
 	$(ASCIIDOC) -b docbook -d manpage `$(GETATTRS) $<` -o - $< \
-	| python fixman.py > $@
+	| cat > $@
 
 %.1: %.xml
 	$(XMLTO) man $<
+endif
 
 %.html: %.txt $(COMMON)
 	$(ASCIIDOC) -a toc `$(GETATTRS) $<` $<
