=== tests/quoting/Makefile ===

test:
	PYTHONPATH=`echo ../../build/lib.*` \
	./regtest.py
