=== sql/pgq/lowlevel/Makefile ===

include ../../../config.mak

MODULE_big = pgq_lowlevel
DATA_built = pgq_lowlevel.sql

SRCS = insert_event.c
OBJS = $(SRCS:.c=.o)

include $(PGXS)
