=== debian/changelog ===
skytools (2.1.13-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Add missing "build-needed" autopkgtest restriction.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2014 21:53:56 +0100

skytools (2.1.13-3) unstable; urgency=low

  * Fix .install files for 8.x; port to 9.3.  Closes: #724194.
  * Repository moved to git.
  * Ignore changes on generated doc/ files.
  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Oct 2013 00:11:30 +0200

skytools (2.1.13-2) unstable; urgency=low

  * Add words missing in the londiste description.  Closes: #676649.
    Spotted by Beatrice Torracca, thanks!
  * Add 9.2 to supported versions.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Jun 2012 15:58:49 +0200

skytools (2.1.13-1) unstable; urgency=low

  * New upstream release.
  * Remove object files in sql/ on clean.
  * Update watch file to only catch 2.x versions.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Mar 2012 16:18:54 +0100

skytools (2.1.12-6) unstable; urgency=low

  * 2.1 is on community support and doesn't release anymore. Import
    changes from tag skytools_2_1_12 to branch skytools_2_1_stable from
    upstream git.
    + Bugfix psycopgwrapper connect_database() to open a cursor before using
      it
    + Synch walmgr changes from 3.0 branch.
    + Add support for detecting stale locks and releasing them instead of
      aborting
    + Move the pg_stop_backup() into a finally: block.
    + londiste add-table: make trigger check sql 9.1-compatible
    + pgq.insert_event: Fix rare crash
    + pgq.triggers: Fix potential rare crash.
    + pgq: fix unnecessary failures in regtests
  * Remove \i txid.sql from regression tests so they run through.
    Additionally, the server config needs bytea_output = 'escape'.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Dec 2011 11:23:55 +0100

skytools (2.1.12-5) unstable; urgency=low

  * Fix 9.1 build.  Closes: #646666
  * Add 8.2 and 8.3 to supported versions.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Nov 2011 20:06:50 +0100
