=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: skytools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Christoph Berg <myon@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Build-Depends: python-all-dev, postgresql-server-dev-all (>= 119~),
  debhelper (>= 7.0.50~), xmlto, asciidoc
 Homepage: http://wiki.postgresql.org/wiki/Skytools
-Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/skytools/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/skytools/
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/skytools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/skytools.git
+XS-Testsuite: autopkgtest
 
 Package: skytools
 Architecture: any
@@ -22,16 +22,17 @@
  .
  This package contains the Python parts of skytools:
   - londiste: PostgreSQL replication engine written
+    Python, using PgQ as event transport
   - pgqadm: PgQ queueing administration interface
   - walmgr: Managing WAL-based replication
 
-Package: skytools-modules-9.1
+Package: skytools-modules-9.3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
 Provides: skytools-modules
-Conflicts: postgresql-9.1-pgq3
-Replaces: postgresql-9.1-pgq3
-Description: PostgreSQL 9.1 modules for skytools
+Conflicts: postgresql-9.3-pgq3
+Replaces: postgresql-9.3-pgq3
+Description: PostgreSQL 9.3 modules for skytools
  Skytools is a set of PostgreSQL tools for WAL shipping, queueing and
  replication.
  .
