=== debian/rules ===
#!/usr/bin/make -f

PG_CONFIG=$(shell ls /usr/lib/postgresql/*/bin/pg_config | tail -n1)

# Rebuild debian/control
SRCDIR = .
include /usr/share/postgresql-common/pgxs_debian_control.mk
# force rebuilding
.PHONY: debian/control

clean: debian/control

override_dh_auto_clean:
	# eeks, clean needs a working config.mak file
	[ -s config.mak ] || ./configure --prefix=/usr PG_CONFIG=$(PG_CONFIG)
	make distclean
	rm -f doc/londiste.cmdline.xml doc/londiste.config.xml doc/pgq-admin.xml doc/walmgr.xml
	find sql -name '*.o' -or -name '*.a' -or -name '*.so*' | xargs -r rm

override_dh_auto_configure:
	#./configure --prefix=/usr PG_CONFIG=/usr/lib/postgresql/8.4/bin/pg_config
	#$(MAKE) modules-all
	#$(MAKE) modules-install DESTDIR=$(CURDIR)/debian/tmp BROKEN_PYTHON=--install-layout=deb
	#$(MAKE) clean
	./configure --prefix=/usr PG_CONFIG=$(PG_CONFIG)
	#+pg_buildext configure build-%v "--prefix"

override_dh_auto_build:
	$(MAKE)
	#+pg_buildext build $(CURDIR) build-%v
	# for version in $$(pg_buildext supported-versions .) ; do \
	# 	echo "### Building for PostgreSQL $$version"; \
	# 	$(MAKE) install; \
	# done
	# manually add plpython dependencies for autopkgtest (we could
	# probably make skytools-modules-* depend on postgresql-plpython-*, but
	# that's not needed for basic operation)
	sed -i -e "s/postgresql-plpython.*/postgresql-plpython/" debian/tests/control
	for version in $$(pg_buildext supported-versions) ; do \
		sed -i -e "s/postgresql-plpython/postgresql-plpython, postgresql-plpython-$$version/" debian/tests/control ; \
	done

override_dh_auto_test:
	# real testing is done with autopkgtest

override_dh_auto_install:
	BROKEN_PYTHON=--install-layout=deb dh_auto_install -- PG_CONFIG=$(PG_CONFIG)
	#+pg_buildext install build-%v skytools-modules-%v
	for version in $$(pg_buildext supported-versions .) ; do \
		echo "### Building for PostgreSQL $$version" && \
		./configure --prefix=/usr \
			PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config && \
		for d in sql/pgq sql/pgq_ext sql/txid sql/londiste sql/logtriga ; do \
			$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C $$d clean install || exit 1 ;\
		done; \
	done
	for I in debian/tmp/usr/bin/* ; do \
		mv $$I $${I%.py} || exit 1 ; \
	done
	# interaction with skytools3
	set -e; for I in londiste scriptmgr queue_mover queue_splitter walmgr; do \
		mv debian/tmp/usr/bin/$$I debian/tmp/usr/bin/$${I}2; \
		mv debian/tmp/usr/share/man/man1/$$I.1 debian/tmp/usr/share/man/man1/$${I}2.1; \
	done

%:
	dh $@ --with python2
