=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-plpython, postgresql-plpython-9.3
Tests: installcheck
Restrictions: needs-root build-needed allow-stderr
